Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

From: Leaf yeh <[email-masked]>
Date: Wed, 15 Feb 2012 11:24:22 +0000

After reading and employed the RFC6158, Radius Design Guidelines, could it be concluded the attribute of Route-IPv6-Information defined in the draft-ietf-radext-ipv6-access-06 shown as follows: 

<quote>
        0                   1                   2                   3
        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |     Type      |    Length     | Prefix-Length |Resvd|Prf|Resvd|
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                         Route Lifetime                        |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
       |                                                               |
       .                        Prefix (variable)                      .
       .                                                               .
       |                                                               |
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   Type      TBA3 for Route-IPv6-Information
   Length      Length in bytes.  At least 4 and no larger than 20; typically 12 or less.

   Prefix Length       8-bit unsigned integer.  The number of leading bits in the Prefix that are valid.  The value ranges from 0 to 1.  The prefix field is 0, 8 or 16 octets depending on Length.

   Prf (Route Preference)  2-bit signed integer.  The Route Preference indicates whether to prefer the router associated with this prefix over others, when multiple identical prefixes (for different
      routers) have been received.

   Resvd (Reserved)  Two 3-bit unused fields.  They MUST be initialized to zero.

   Route Lifetime  32-bit unsigned integer.  The length of time in 
      seconds (relative to the time the packet is sent) that the prefix
      is valid for route determination.  A value of all one bits
      (0xffffffff) represents infinity.

   Prefix
      Variable-length field containing an IP prefix.  The Prefix Length
      field contains the number of valid leading bits in the prefix.
      The bits in the prefix after the prefix length (if any) are
      reserved and MUST be initialized to zero.
</quote>

is creating a new 'Complex Data Type', which has multi-fields, and is not recommended? 

Will it get the same 'acceptable' as that of Frame-IPv6-Prefix (97) and Delegated-IPv6-Prefix(123), which is mentioned in Section B.7 of RFC6158?

Best Regards,
Leaf

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, November 14, 2011 9:48 AM
To: [email-masked]
Cc: [email-masked]
Subject: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the RADIUS EXTensions Working Group of the IETF.

	Title           : RADIUS attributes for IPv6 Access Networks
	Author(s)       : Benoit Lourdelet
                          Wojciech Dec
                          Behcet Sarikaya
                          Glen Zorn
                          David Miles
	Filename        : draft-ietf-radext-ipv6-access-06.txt
	Pages           : 15
	Date            : 2011-11-13

   This document specifies additional IPv6 RADIUS attributes useful in
   residential broadband network deployments.  The attributes, which are
   used for authorization and accounting, enable assignment of a host
   IPv6 address and IPv6 DNS server address via DHCPv6; assignment of an
   IPv6 route announced via router advertisement; assignment of a named
   IPv6 delegated prefix pool; and assignment of a named IPv6 pool for
   host DHCPv6 addressing.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-radext-ipv6-access-06.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-radext-ipv6-access-06.txt
_______________________________________________
radext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/radext

---

From: Leaf yeh <[email-masked]>
Date: Wed, 15 Feb 2012 11:24:22 +0000

<quote>
        0                   1                   2                   3

   Prefix

Best Regards,
Leaf

---

From: Alan DeKok <[email-masked]>
Date: Wed, 15 Feb 2012 13:05:41 +0100

> After reading and employed the RFC6158, Radius Design Guidelines, could it be concluded the attribute of Route-IPv6-Information defined in the draft-ietf-radext-ipv6-access-06 shown as follows: 
..
> is creating a new 'Complex Data Type', which has multi-fields, and is not recommended? 

  That is what the document says.

> Will it get the same 'acceptable' as that of Frame-IPv6-Prefix (97) and Delegated-IPv6-Prefix(123), which is mentioned in Section B.7 of RFC6158?

  No.

  I could explain here, but there's no need.  Read RFC 6158.  It
thoroughly details the rationale behind the design guidelines.

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Wed, 15 Feb 2012 13:05:41 +0100

..

  No.

  Alan DeKok.

---

From: Wojciech Dec <[email-masked]>
Date: Wed, 15 Feb 2012 13:23:54 +0100

Just as an FYI, the Route-IPv6-Information attribute changed from its
previous "non complex" to the current form between draft 04 and 05, based on
WG review/feedback:
http://trac.tools.ietf.org/wg/radext/trac/ticket/71

-Wojciech.

On 15/02/2012 13:05, "Alan DeKok" <[email-masked]> wrote:

> Leaf yeh wrote:
>> After reading and employed the RFC6158, Radius Design Guidelines, could it be
>> concluded the attribute of Route-IPv6-Information defined in the
>> draft-ietf-radext-ipv6-access-06 shown as follows:
> ..
>> Will it get the same 'acceptable' as that of Frame-IPv6-Prefix (97) and
>> Delegated-IPv6-Prefix(123), which is mentioned in Section B.7 of RFC6158?
> 
>   No.
>

---

From: Wojciech Dec <[email-masked]>
Date: Wed, 15 Feb 2012 13:23:54 +0100

-Wojciech.

---

From: Alan DeKok <[email-masked]>
Date: Wed, 15 Feb 2012 14:27:56 +0100

> http://trac.tools.ietf.org/wg/radext/trac/ticket/71

  Sure... then there's no need to ask the question again.

  I don't remember every nuance of each draft.  I expect the authors to
do that.

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Wed, 15 Feb 2012 14:27:56 +0100

Alan DeKok.

---

From: Leaf yeh <[email-masked]>
Date: Thu, 16 Feb 2012 12:05:44 +0000

Wojciech - the Route-IPv6-Information attribute changed from its
previous "non complex" to the current form between draft 04 and 05, based on
WG review/feedback:
http://trac.tools.ietf.org/wg/radext/trac/ticket/71

As per the requirement in the section 2.1 of RFC6158, 

<quote>Since there are no "hard and fast"
rules for where complexity is best located, each situation has to be
decided on a case-by-case basis...Where a complex data type is selected, an
explanation SHOULD be offered as to why this was necessary.</quote>

would you clarify the reason for the adoption of the 'complex data type' in the definition of attribute, Route-IPv6-Information?

I can’t find the answer in the following links: http://trac.tools.ietf.org/wg/radext/trac/ticket/71 & http://tools.ietf.org/rfcdiff?url2=draft-ietf-radext-ipv6-access-05 .

The definition of the attribute without multi-fields sounds 'ok' with me personally, but RFC6158 (& its section A.2.1) seems not recommended it. 

Is my understanding right here?

Best Regards,
Leaf

-----Original Message-----
From: Wojciech Dec [mailto:[email-masked]] 
Sent: Wednesday, February 15, 2012 8:24 PM
To: Alan DeKok; Leaf yeh
Cc: [email-masked]; Stefan Winter; [email-masked]
Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

-Wojciech.

---

From: Leaf yeh <[email-masked]>
Date: Thu, 16 Feb 2012 12:05:44 +0000

Best Regards,
Leaf

-----Original Message-----
From: Wojciech Dec [mailto:[email-masked]] 
Sent: Wednesday, February 15, 2012 8:24 PM
To: Alan DeKok; Leaf yeh
Cc: [email-masked]; Stefan Winter; [email-masked]
Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

-Wojciech.

---

From: Leaf yeh <[email-masked]>
Date: Thu, 16 Feb 2012 12:30:32 +0000

Leaf - The definition of the attribute without multi-fields sounds 'ok' with me personally, but RFC6158 (& its section A.2.1) seems not recommended it.

Sorry for the typo:  The definition of the attribute with multi-fields sounds 'ok' with me personally, but RFC6158 (& its section A.2.1) seems not recommend it.

-----Original Message-----
From: Leaf yeh [mailto:[email-masked]] 
Sent: Thursday, February 16, 2012 8:06 PM
To: Wojciech Dec; Bernard Aboba
Cc: [email-masked]; Stefan Winter; [email-masked]
Subject: RE: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

Best Regards,
Leaf

-----Original Message-----
From: Wojciech Dec [mailto:[email-masked]] 
Sent: Wednesday, February 15, 2012 8:24 PM
To: Alan DeKok; Leaf yeh
Cc: [email-masked]; Stefan Winter; [email-masked]
Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

-Wojciech.

---

From: Leaf yeh <[email-masked]>
Date: Thu, 16 Feb 2012 12:30:32 +0000

-----Original Message-----
From: Leaf yeh [mailto:[email-masked]] 
Sent: Thursday, February 16, 2012 8:06 PM
To: Wojciech Dec; Bernard Aboba
Cc: [email-masked]; Stefan Winter; [email-masked]
Subject: RE: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

Best Regards,
Leaf

-----Original Message-----
From: Wojciech Dec [mailto:[email-masked]] 
Sent: Wednesday, February 15, 2012 8:24 PM
To: Alan DeKok; Leaf yeh
Cc: [email-masked]; Stefan Winter; [email-masked]
Subject: Re: [radext] I-D Action: draft-ietf-radext-ipv6-access-06.txt

-Wojciech.